Bug 1263449 - [abrt] nautilus: report_delete_progress(): nautilus killed by SIGSEGV
[abrt] nautilus: report_delete_progress(): nautilus killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d53773a7f4d2618a1ad5f17b583...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-15 15:44 EDT by kakoskin
Modified: 2016-12-20 09:38 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:38:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (41.89 KB, text/plain)
2015-09-15 15:44 EDT, kakoskin
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-15 15:44 EDT, kakoskin
no flags Details
File: core_backtrace (15.36 KB, text/plain)
2015-09-15 15:44 EDT, kakoskin
no flags Details
File: dso_list (13.39 KB, text/plain)
2015-09-15 15:44 EDT, kakoskin
no flags Details
File: environ (900 bytes, text/plain)
2015-09-15 15:44 EDT, kakoskin
no flags Details
File: exploitable (82 bytes, text/plain)
2015-09-15 15:44 EDT, kakoskin
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-15 15:44 EDT, kakoskin
no flags Details
File: maps (65.06 KB, text/plain)
2015-09-15 15:44 EDT, kakoskin
no flags Details
File: mountinfo (3.92 KB, text/plain)
2015-09-15 15:44 EDT, kakoskin
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-15 15:44 EDT, kakoskin
no flags Details
File: open_fds (3.54 KB, text/plain)
2015-09-15 15:44 EDT, kakoskin
no flags Details
File: proc_pid_status (1010 bytes, text/plain)
2015-09-15 15:44 EDT, kakoskin
no flags Details

  None (edit)
Description kakoskin 2015-09-15 15:44:26 EDT
Description of problem:
I Opened Nautilus in home directory and navicated to an encrypted USB-disk. (Disk was opened and mounted earlier using Nautilus.) Then I used multiple consecutive rsync commands to copy data into Nautilus working dircetory and removed some of it using Nautilus. Nautilus crashed when its window wasn't active.

Version-Release number of selected component:
nautilus-3.17.91-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: report_delete_progress
executable:     /usr/bin/nautilus
global_pid:     5265
kernel:         4.2.0-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 report_delete_progress at nautilus-file-operations.c:1552
 #3 delete_dir at nautilus-file-operations.c:1726
 #4 delete_file at nautilus-file-operations.c:1762
 #5 delete_dir at nautilus-file-operations.c:1616
 #6 delete_file at nautilus-file-operations.c:1762
 #7 delete_dir at nautilus-file-operations.c:1616
 #8 delete_file at nautilus-file-operations.c:1762
 #9 delete_dir at nautilus-file-operations.c:1616
 #10 delete_file at nautilus-file-operations.c:1762
 #11 delete_dir at nautilus-file-operations.c:1616
Comment 1 kakoskin 2015-09-15 15:44:30 EDT
Created attachment 1073830 [details]
File: backtrace
Comment 2 kakoskin 2015-09-15 15:44:31 EDT
Created attachment 1073831 [details]
File: cgroup
Comment 3 kakoskin 2015-09-15 15:44:33 EDT
Created attachment 1073832 [details]
File: core_backtrace
Comment 4 kakoskin 2015-09-15 15:44:35 EDT
Created attachment 1073833 [details]
File: dso_list
Comment 5 kakoskin 2015-09-15 15:44:37 EDT
Created attachment 1073834 [details]
File: environ
Comment 6 kakoskin 2015-09-15 15:44:38 EDT
Created attachment 1073835 [details]
File: exploitable
Comment 7 kakoskin 2015-09-15 15:44:39 EDT
Created attachment 1073836 [details]
File: limits
Comment 8 kakoskin 2015-09-15 15:44:41 EDT
Created attachment 1073837 [details]
File: maps
Comment 9 kakoskin 2015-09-15 15:44:43 EDT
Created attachment 1073838 [details]
File: mountinfo
Comment 10 kakoskin 2015-09-15 15:44:44 EDT
Created attachment 1073839 [details]
File: namespaces
Comment 11 kakoskin 2015-09-15 15:44:45 EDT
Created attachment 1073840 [details]
File: open_fds
Comment 12 kakoskin 2015-09-15 15:44:47 EDT
Created attachment 1073841 [details]
File: proc_pid_status
Comment 13 Vadim Rutkovsky 2015-10-02 03:52:53 EDT
Another user experienced a similar problem:

Crashed with mounted MTP

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: report_delete_progress
executable:     /usr/bin/nautilus
global_pid:     28165
kernel:         4.1.6-201.fc22.x86_64
package:        nautilus-3.18.0-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Erwan GEORGET 2015-10-07 04:55:40 EDT
Another user experienced a similar problem:

Attempting to erase some files from a google-drive account

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: report_delete_progress
executable:     /usr/bin/nautilus
global_pid:     6306
kernel:         4.2.2-300.fc23.x86_64
package:        nautilus-3.18.0-1.fc23
reason:         nautilus killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Fedora End Of Life 2016-11-24 07:30:46 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 09:38:36 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.